import { Injectable } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';
import { ServerDTO } from 'src/app/models/discord/server.dto';

@Injectable({
  providedIn: 'root'
})
export class ServerService {

  private server!: ServerDTO;
  server$ = new BehaviorSubject<ServerDTO | null>(null);

  constructor() {
    this.server$.subscribe(server => {
      if (!server) {
        return;
      }
      this.server = server;
    });
  }


}
